La installation de Postfix entra en conflicto con el package del server MySQL

Tuve que instalar la comunidad del server MySQL en nuestro server (el jefe del equipo no quería MariaDB debido al soporte o algo así). Por lo tanto, eliminé MariaDB, que a su vez también eliminó Postfix.

Ahora necesito instalar Postfix porque necesitamos retransmitir correos electrónicos. Si hago un yum install postfix , también trato de instalar mariadb-libs, lo que entra en conflicto con MySQL-Server. ¿Cómo puedo instalar Postfix sin usar MariaDB? ¿O cómo puedo resolver este conflicto?

Sistema operativo: RHEL 7.1

Algunos de los posts de error de conflicto:

 Transaction check error: file /usr/share/mysql/charsets/README from install of mariadb-libs-1:5.5.41-2.el7_0.x86_64 conflicts with file from package MySQL-server-5.5.42-1.el7.x86_64 file /usr/share/mysql/charsets/Index.xml from install of mariadb-libs-1:5.5.41-2.el7_0.x86_64 conflicts with file from package MySQL-server-5.5.42-1.el7.x86_64 file /usr/share/mysql/charsets/armscii8.xml from install of mariadb-libs-1:5.5.41-2.el7_0.x86_64 conflicts with file from package MySQL-server-5.5.42-1.el7.x86_64 file /usr/share/mysql/charsets/ascii.xml from install of mariadb-libs-1:5.5.41-2.el7_0.x86_64 conflicts with file from package MySQL-server-5.5.42-1.el7.x86_64 

Tuve un problema similar hace algún time. Creo que lo resolví instalando mysql-libs primero, luego Postfix. Añadiré más información a medida que la recupere.

No sé qué comportamiento tiene con los packages de RPM, supongo que no difieren mucho de DPKG, pero en Debian puede sustituir una aplicación con requisitos de otros, si instala otra aplicación con los mismos requisitos.

Ejemplos: – MySQL y MariaDB – Exim y Postfix …

Saludos,

quizás puedas intentar instalar usando

 rpm -ivh MySQL-shanetworking-[version].rpm 

entonces intentas eliminar mariadb

 yum remove mariadb* 

entonces podrás resolver el problema